Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.directwebremoting.util
Class FakeServletConfig

    java.lang.Object
      org.directwebremoting.util.FakeServletConfig

All Implemented Interfaces:
  javax.servlet.ServletConfig

    public class FakeServletConfig

extends java.lang.Object
implements javax.servlet.ServletConfig

A fake implementation of ServletConfig for cases (Like inside Spring) when you don't have a real one.

Author:
  Joe Walker [joe at getahead dot ltd dot uk]

Constructor Summary
`FakeServletConfig(java.lang.String name, javax.servlet.ServletContext servletContext)`
`FakeServletConfig(java.lang.String name, javax.servlet.ServletContext servletContext, java.util.Map initParameters)`

Method Summary
`java.lang.String` | `getInitParameter(java.lang.String paramName)`
`java.util.Enumeration` | `getInitParameterNames()`
`javax.servlet.ServletContext` | `getServletContext()`
`java.lang.String` | `getServletName()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FakeServletConfig

    public FakeServletConfig(java.lang.String name,
                             javax.servlet.ServletContext servletContext)

Parameters:
  `name` - The servlet name
  `servletContext` - The ServletContext

### FakeServletConfig

    public FakeServletConfig(java.lang.String name,
                             javax.servlet.ServletContext servletContext,
                             java.util.Map initParameters)

Parameters:
  `name` - The servlet name
  `servletContext` - The ServletContext
  `initParameters` - Optional init parameters (can be null)

Method Detail

### getServletName

    public java.lang.String getServletName()

  Specified by:
    `getServletName` in interface `javax.servlet.ServletConfig`

### getServletContext

    public javax.servlet.ServletContext getServletContext()

  Specified by:
    `getServletContext` in interface `javax.servlet.ServletConfig`

### getInitParameter

    public java.lang.String getInitParameter(java.lang.String paramName)

  Specified by:
    `getInitParameter` in interface `javax.servlet.ServletConfig`

### getInitParameterNames

    public java.util.Enumeration getInitParameterNames()

  Specified by:
    `getInitParameterNames` in interface `javax.servlet.ServletConfig`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ¬ 2005
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD